TransformsOperations Class

Warning

DO NOT instantiate this class directly.

Instead, you should access the following operations through

AzureMediaServices's

<xref:transforms> attribute.

Inheritance
builtins.object
TransformsOperations

Constructor

TransformsOperations(*args, **kwargs)

Methods

create_or_update

Create or Update Transform.

Creates or updates a new Transform.

delete

Delete Transform.

Deletes a Transform.

get

Get Transform.

Gets a Transform.

list

List Transforms.

Lists the Transforms in the account.

update

Update Transform.

Updates a Transform.

create_or_update

Create or Update Transform.

Creates or updates a new Transform.

async create_or_update(resource_group_name: str, account_name: str, transform_name: str, parameters: azure.mgmt.media.models._models_py3.Transform, **kwargs: Any) -> azure.mgmt.media.models._models_py3.Transform

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

transform_name
str
Required

The Transform name.

parameters
Transform
Required

The request parameters.

cls
callable

A custom type or function that will be passed the direct response

Returns

Transform, or the result of cls(response)

Return type

Exceptions

delete

Delete Transform.

Deletes a Transform.

async delete(resource_group_name: str, account_name: str, transform_name: str, **kwargs: Any) -> None

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

transform_name
str
Required

The Transform name.

cls
callable

A custom type or function that will be passed the direct response

Returns

None, or the result of cls(response)

Return type

Exceptions

get

Get Transform.

Gets a Transform.

async get(resource_group_name: str, account_name: str, transform_name: str, **kwargs: Any) -> azure.mgmt.media.models._models_py3.Transform

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

transform_name
str
Required

The Transform name.

cls
callable

A custom type or function that will be passed the direct response

Returns

Transform, or the result of cls(response)

Return type

Exceptions

list

List Transforms.

Lists the Transforms in the account.

list(resource_group_name: str, account_name: str, filter: Optional[str] = None, orderby: Optional[str] = None, **kwargs: Any) -> AsyncIterable[azure.mgmt.media.models._models_py3.TransformCollection]

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

filter
str
Required

Restricts the set of items returned. Default value is None.

orderby
str
Required

Specifies the key by which the result collection should be ordered. Default value is None.

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either TransformCollection or the result of cls(response)

Return type

Exceptions

update

Update Transform.

Updates a Transform.

async update(resource_group_name: str, account_name: str, transform_name: str, parameters: azure.mgmt.media.models._models_py3.Transform, **kwargs: Any) -> azure.mgmt.media.models._models_py3.Transform

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

transform_name
str
Required

The Transform name.

parameters
Transform
Required

The request parameters.

cls
callable

A custom type or function that will be passed the direct response

Returns

Transform, or the result of cls(response)

Return type

Exceptions

Attributes

models

models = <module 'azure.mgmt.media.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\media\\models\\__init__.py'>